from sqlalchemy import Column, Integer, String, DECIMAL
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class ImagesReply(Base):
    __tablename__ = 'images_reply'

    id = Column(Integer, primary_key=True, index=True)
    rid = Column(Integer, nullable=False)
    title = Column(String(50), nullable=False)
    description = Column(String(255), nullable=False)
    mediaid = Column(String(255), nullable=False)
    createtime = Column(Integer, nullable=False)