from sqlalchemy import Column, Integer, String, SmallInteger
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class MessageNoticeLog(Base):
    __tablename__ = 'message_notice_log'

    id = Column(Integer, primary_key=True, index=True, nullable=False)
    message = Column(String(255), nullable=False)
    is_read = Column(SmallInteger, nullable=False)
    uid = Column(Integer, nullable=False)
    sign = Column(String(22), nullable=False)
    type = Column(SmallInteger, nullable=False)
    status = Column(SmallInteger, nullable=True)
    create_time = Column(Integer, nullable=False)
    end_time = Column(Integer, nullable=False)
    url = Column(String(255), nullable=False)