from sqlalchemy import Column, Integer, String, SmallInteger
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class RuleKeyword(Base):
    __tablename__ = "rule_keyword"

    Id = Column(Integer, primary_key=True, index=True)
    Rid = Column(Integer, nullable=False)
    Uniacid = Column(Integer, nullable=False)
    Module = Column(String(50), nullable=False)
    Content = Column(String(255), nullable=False)
    Type = Column(SmallInteger, nullable=False)
    Displayorder = Column(SmallInteger, nullable=False)
    Status = Column(SmallInteger, nullable=False)