from sqlalchemy import Column, Integer
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class CustomReply(Base):
    __tablename__ = 'custom_reply'

    id = Column(Integer, primary_key=True, index=True)
    rid = Column(Integer, nullable=False)
    start1 = Column(Integer, nullable=False)
    end1 = Column(Integer, nullable=False)
    start2 = Column(Integer, nullable=False)
    end2 = Column(Integer, nullable=False)