from pydantic import BaseModel

class CustomReplyBase(BaseModel):
    rid: int
    start1: int
    end1: int
    start2: int
    end2: int

class CustomReplyCreate(CustomReplyBase):
    pass

class CustomReplyUpdate(CustomReplyBase):
    pass

class CustomReply(CustomReplyBase):
    id: int

    class Config:
        orm_mode = True